petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCShellSetDestroy

Sets routine to use to destroy the user-provided Section 1.5 Writing Application Codes with PETSc context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetDestroy(PC pc,PetscErrorCode (*destroy)(PC))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| destroy | - the Section 1.5 Writing Application Codes with PETSc-provided destroy routine

### Calling sequence of destroy

       PetscErrorCode destroy (PC)

ptr -the Section 1.5 Writing Application Codes with PETSc context

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

PCShellSetApply(), PCShellSetContext()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Examples

src/ksp/ksp/tutorials/ex15.c.html
src/ksp/ksp/tutorials/ex15f.F90.html

### Implementations

PCShellSetDestroy_Shell(PC pc, PetscErrorCode (*destroy) in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages